AOWP_ConfigurationManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.AOWP_ConfigurationManager
/aspect/ConfigurationManager.class.php at line 9

# Class AOWP_ConfigurationManager

    AOWP_ConfigurationManager

public class AOWP_ConfigurationManager

Field Summary
final str | ASPECT_FOLDER_NAME
static mixed | $WEAVING_TIME_FLAG

Method Summary
private static void | _getConfigurationPath()
private static void | _getConfigurationSamplePath()
private static void | _getRuntimeAutoloadplusFolder()
static void | createConfiguration(mixed aowpHome, mixed projectPath, mixed aspectPath, mixed runtimeDataFolder, mixed includPattern, mixed excludeFilePattern, mixed configClassLocation)
static void | getAOWPClassPath()
static void | getAspectDirPath()
static void | getCacheFolder()
static void | getProjectHomePath()
static void | getRuntimeAspectFolder()
static void | getRuntimeDataFolder()
static void | getRuntimeIncludePath(mixed targetSourcePath)
static void | getRuntimeSourcePath()
static void | setupAspectForRuntime()
static void | setupConfiguration(mixed aowpHome, mixed projectPath, mixed aspectPath, mixed dataFolderName, mixed includPattern, mixed excludeFilePattern, mixed configClassLocation, $excludeFilePattern ) This method generates and saves PHP file to define class for AOWP's configuration at weaving time and runtime. This method should be invoked before parsing PHP files and weaving defined aspects.
static void | setupRuntimeEnvironment()

## Field Detail

/aspect/ConfigurationManager.class.php at line 10

### ASPECT_FOLDER_NAME

`public final str ASPECT_FOLDER_NAME = 'aspect'`

/aspect/ConfigurationManager.class.php at line 12

### WEAVING_TIME_FLAG

`public static mixed $WEAVING_TIME_FLAG = true`

## Method Detail

/aspect/ConfigurationManager.class.php at line 17

### _getConfigurationPath

`private static void _getConfigurationPath()`

/aspect/ConfigurationManager.class.php at line 14

### _getConfigurationSamplePath

`private static void _getConfigurationSamplePath()`

/aspect/ConfigurationManager.class.php at line 20

### _getRuntimeAutoloadplusFolder

`private static void _getRuntimeAutoloadplusFolder()`

/aspect/ConfigurationManager.class.php at line 116

### createConfiguration

`public static void createConfiguration(mixed aowpHome, mixed projectPath, mixed aspectPath, mixed runtimeDataFolder, mixed includPattern, mixed excludeFilePattern, mixed configClassLocation)`

/aspect/ConfigurationManager.class.php at line 81

### getAOWPClassPath

`public static void getAOWPClassPath()`

/aspect/ConfigurationManager.class.php at line 78

### getAspectDirPath

`public static void getAspectDirPath()`

/aspect/ConfigurationManager.class.php at line 25

### getCacheFolder

`public static void getCacheFolder()`

/aspect/ConfigurationManager.class.php at line 72

### getProjectHomePath

`public static void getProjectHomePath()`

/aspect/ConfigurationManager.class.php at line 39

### getRuntimeAspectFolder

`public static void getRuntimeAspectFolder()`

/aspect/ConfigurationManager.class.php at line 75

### getRuntimeDataFolder

`public static void getRuntimeDataFolder()`

/aspect/ConfigurationManager.class.php at line 31

### getRuntimeIncludePath

`public static void getRuntimeIncludePath(mixed targetSourcePath)`

/aspect/ConfigurationManager.class.php at line 28

### getRuntimeSourcePath

`public static void getRuntimeSourcePath()`

/aspect/ConfigurationManager.class.php at line 63

### setupAspectForRuntime

`public static void setupAspectForRuntime()`

/aspect/ConfigurationManager.class.php at line 96

### setupConfiguration

`public static void setupConfiguration(mixed aowpHome, mixed projectPath, mixed aspectPath, mixed dataFolderName, mixed includPattern, mixed excludeFilePattern, mixed configClassLocation, $excludeFilePattern )`

This method generates and saves PHP file to define class for AOWP's configuration at weaving time and runtime.
This method should be invoked before parsing PHP files and weaving defined aspects.

/aspect/ConfigurationManager.class.php at line 42

### setupRuntimeEnvironment

`public static void setupRuntimeEnvironment()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr